
import javax.swing.*;

public class DisplayWindow 
  extends JTextArea 
  implements Display.ChangeListener {
  
  Display disp_;
  int numChars_;
  
  DisplayWindow(Display d) {
    super(d.height(), d.width() + 1);
    disp_ = d;
    disp_.addChangeListener(this);

    setLineWrap(false);

    numChars_ = disp_.height() * (disp_.width() + 1);
    for (int i = 0; i < numChars_; i++)
      append("*");
  }

  public void displayChanged() {
    replaceRange(disp_.toString(), 0, numChars_);
    repaint();
  }

  public void addNewChar(int code, VFDChar c) { }
}
